--- old/usr/src/uts/common/inet/ilb/ilb_conn.c	2014-10-23 10:42:10.743069586 -0400
+++ new/usr/src/uts/common/inet/ilb/ilb_conn.c	2014-10-23 10:42:10.747920251 -0400
@@ -24,6 +24,7 @@
  * Use is subject to license terms.
  */
 
+#include <sys/sysmacros.h>
 #include <sys/types.h>
 #include <sys/conf.h>
 #include <sys/time.h>
@@ -300,7 +301,7 @@
 	 * If ilbs->ilbs_conn_hash_size is not a power of 2, bump it up to
 	 * the next power of 2.
 	 */
-	if (ilbs->ilbs_conn_hash_size & (ilbs->ilbs_conn_hash_size - 1)) {
+	if (!ISP2(ilbs->ilbs_conn_hash_size)) {
 		for (i = 0; i < 31; i++) {
 			if (ilbs->ilbs_conn_hash_size < (1 << i))
 				break;
@@ -1359,7 +1360,7 @@
 	char tq_name[TASKQ_NAMELEN];
 	ilb_timer_t *tm;
 
-	if (ilbs->ilbs_sticky_hash_size & (ilbs->ilbs_sticky_hash_size - 1)) {
+	if (!ISP2(ilbs->ilbs_sticky_hash_size)) {
 		for (i = 0; i < 31; i++) {
 			if (ilbs->ilbs_sticky_hash_size < (1 << i))
 				break;
